//filename: main.cpp

#include <windows.h>
#include <stdlib.h>
#include <wtypes.h>
#include <conio.h>
#include <stdio.h>
#include "resource.h"
#include "main.h"


BOOLEAN LoadLibraries()
{
	hLib201 = LoadLibrary ("M201_SP.dll");
    if(!hLib201) return FALSE;
    return TRUE;
}

BOOLEAN InitLibFuncs()
{  
	DLL_Run = (P_DLL_EX_RUN)GetProcAddress(hLib201, "EX_Run");
	if(!DLL_Run) return FALSE;

	DLL_Stop = (P_DLL_EX_STOP)GetProcAddress(hLib201, "EX_Stop");
	if(!DLL_Run) return FALSE;

    return TRUE;
}


int __cdecl main()
{
	if(!LoadLibraries()){ printf("Failed to load libraries"); getch(); return 0;}
	printf("Success loading libraries\n");

	if(!InitLibFuncs())
	{ printf("Failed to find required functions"); getch(); return 0;}

	printf("Success finding required functions\nStarting RUN -  please wait. . .");
	if(!DLL_Run())
	{ printf("Failed calling  EX_Run()"); getch(); return 0;}

	printf("\n\nRUNNING and logging to ScanLog_x.txt\nPress 'Q' to stop run and quit  ");

	char cUserInputVal = NULL;

	while((cUserInputVal != 'Q')
		&& (cUserInputVal != 'q'))
	{
		cUserInputVal = (char)getch();
		switch(cUserInputVal)
		{
			case 'Q': case 'q':
				if(!DLL_Stop()) printf("Failed calling  EX_Stop()");
				else printf("\n\nSuccess calling  EX_Stop()"); 
				printf("\npress any key to continue to exit\n");
				getch();
				break;
		}
	}

	return 1;
}
